Bug 104925

Summary: doc: Fix bracket escaping in Ducktype API design file
Product: dbus Reporter: Philip Withnall <bugzilla>
Component: coreAssignee: D-Bus Maintainers <dbus>
Status: RESOLVED FIXED QA Contact: D-Bus Maintainers <dbus>
Severity: normal    
Priority: medium    
Version: unspecified   
Hardware: All   
OS: All   
Whiteboard: review+
i915 platform: i915 features:
Attachments: doc: Fix bracket escaping in Ducktype API design file

Description Philip Withnall 2018-02-03 11:26:44 UTC
Trivial patch attached.
Comment 1 Philip Withnall 2018-02-03 11:26:47 UTC
Created attachment 137148 [details] [review]
doc: Fix bracket escaping in Ducktype API design file

There’s no need to escape closing brackets if the paired opening bracket
is escaped (or doesn’t need escaping).

See
https://github.com/projectmallard/mallard-ducktype/issues/16#issuecomment-362590519.

Signed-off-by: Philip Withnall <withnall@endlessm.com>
Comment 2 Simon McVittie 2018-02-06 12:47:13 UTC
Comment on attachment 137148 [details] [review]
doc: Fix bracket escaping in Ducktype API design file

Review of attachment 137148 [details] [review]:
-----------------------------------------------------------------

I'll take your word for it.

Is https://github.com/projectmallard/mallard-ducktype the current home for the parser/de facto spec?

Is Ducktype still a good format for us to be using here?
Comment 3 Philip Withnall 2018-02-06 12:56:18 UTC
(In reply to Simon McVittie from comment #2)
> Comment on attachment 137148 [details] [review] [review]
> doc: Fix bracket escaping in Ducktype API design file
> 
> Review of attachment 137148 [details] [review] [review]:
> -----------------------------------------------------------------
> 
> I'll take your word for it.

I tested it with the latest version of Ducktype.

> Is https://github.com/projectmallard/mallard-ducktype the current home for
> the parser/de facto spec?

Yes.

> Is Ducktype still a good format for us to be using here?

I see no downsides to using it. Ducktype is about to reach version 1.0 (I was talking to Shaun at FOSDEM), so it doesn’t seem to be going away.
Comment 4 Simon McVittie 2018-02-06 18:05:47 UTC
I'll apply this soon.

(In reply to Philip Withnall from comment #3)
> (In reply to Simon McVittie from comment #2)
> > Is https://github.com/projectmallard/mallard-ducktype the current home for
> > the parser/de facto spec?
> 
> Yes.
> 
> > Is Ducktype still a good format for us to be using here?
> 
> I see no downsides to using it. Ducktype is about to reach version 1.0 (I
> was talking to Shaun at FOSDEM), so it doesn’t seem to be going away.

OK, I've prepared Debian packaging for v0.3 + git commits.
Comment 5 Simon McVittie 2018-02-12 10:47:46 UTC
This was fixed in 1.12.4 and 1.13.0.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.